<script setup lang="ts">
import { } from 'vue'
import { useI18n } from 'vue-i18n'
//import { useRouter } from 'vue-router'
import { useAppStore } from '../stores/AppStore'
import { useMemberStore } from '../stores/MemberStore'

// using
const { t } = useI18n({
	messages: {
		en: {
			signOut: `Sign Out`,
		},
		th: {
			signOut: `ออกจากระบบ`,
		},
	},
})
//const router = useRouter()
const appStore = useAppStore()
const memberStore = useMemberStore()

async function onSubmit() {
	// calls REST
	console.log(`memberStore.defaultHeaders():`, memberStore.defaultHeaders())
	const result = await appStore.waitBoxAsync(async () =>
		await memberStore.client.call(`member/authen/signout`, {
			method: 'PUT',
			headers: memberStore.defaultHeaders(),
		})
	)
	if (appStore.handleRestResultUi(result))
		return

	// success, retrieves REST data
	console.log(`member sign-out:`, memberStore.profile)
	memberStore.setProfileState()
}
</script>


<style scoped></style>


<template>
	<form v-if="!memberStore.isWait()" id="signOutForm" @submit.prevent="onSubmit">
		<span>{{ JSON.stringify(memberStore.profile?.mail) }}</span>

		<!-- email -->
		<div>
			<label for="email">{{ t('email') }}</label>
			<input id="email" type="email" :placeholder="t('email')" readonly
				:value="memberStore.profile ? memberStore.profile.mail : ''" />
		</div>

		<div>
			<button type="submit">{{ t('signOut') }}</button>
		</div>
	</form>
</template>
